// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

/**
 * <pre>
 * Asset representation of a ConductingEquipment.
 * </pre>
 *
 * Protobuf type {@code commonmodule.ConductingEquipment}
 */
public final class ConductingEquipment extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:commonmodule.ConductingEquipment)
    ConductingEquipmentOrBuilder {
private static final long serialVersionUID = 0L;
  // Use ConductingEquipment.newBuilder() to construct.
  private ConductingEquipment(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private ConductingEquipment() {
    mRID_ = "";
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new ConductingEquipment();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_ConductingEquipment_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_ConductingEquipment_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.commonmodule.ConductingEquipment.class, openfmb.commonmodule.ConductingEquipment.Builder.class);
  }

  public static final int NAMEDOBJECT_FIELD_NUMBER = 1;
  private openfmb.commonmodule.NamedObject namedObject_;
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.NamedObject namedObject = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the namedObject field is set.
   */
  @java.lang.Override
  public boolean hasNamedObject() {
    return namedObject_ != null;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.NamedObject namedObject = 1 [(.uml.option_parent_message) = true];</code>
   * @return The namedObject.
   */
  @java.lang.Override
  public openfmb.commonmodule.NamedObject getNamedObject() {
    return namedObject_ == null ? openfmb.commonmodule.NamedObject.getDefaultInstance() : namedObject_;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.NamedObject namedObject = 1 [(.uml.option_parent_message) = true];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.NamedObjectOrBuilder getNamedObjectOrBuilder() {
    return namedObject_ == null ? openfmb.commonmodule.NamedObject.getDefaultInstance() : namedObject_;
  }

  public static final int MRID_FIELD_NUMBER = 2;
  @SuppressWarnings("serial")
  private volatile java.lang.Object mRID_ = "";
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>string mRID = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1, (.uml.option_uuid) = true, (.uml.option_key) = true];</code>
   * @return The mRID.
   */
  @java.lang.Override
  public java.lang.String getMRID() {
    java.lang.Object ref = mRID_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      mRID_ = s;
      return s;
    }
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>string mRID = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1, (.uml.option_uuid) = true, (.uml.option_key) = true];</code>
   * @return The bytes for mRID.
   */
  @java.lang.Override
  public com.google.protobuf.ByteString
      getMRIDBytes() {
    java.lang.Object ref = mRID_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      mRID_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (namedObject_ != null) {
      output.writeMessage(1, getNamedObject());
    }
    if (!com.google.protobuf.GeneratedMessageV3.isStringEmpty(mRID_)) {
      com.google.protobuf.GeneratedMessageV3.writeString(output, 2, mRID_);
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (namedObject_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getNamedObject());
    }
    if (!com.google.protobuf.GeneratedMessageV3.isStringEmpty(mRID_)) {
      size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, mRID_);
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.commonmodule.ConductingEquipment)) {
      return super.equals(obj);
    }
    openfmb.commonmodule.ConductingEquipment other = (openfmb.commonmodule.ConductingEquipment) obj;

    if (hasNamedObject() != other.hasNamedObject()) return false;
    if (hasNamedObject()) {
      if (!getNamedObject()
          .equals(other.getNamedObject())) return false;
    }
    if (!getMRID()
        .equals(other.getMRID())) return false;
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasNamedObject()) {
      hash = (37 * hash) + NAMEDOBJECT_FIELD_NUMBER;
      hash = (53 * hash) + getNamedObject().hashCode();
    }
    hash = (37 * hash) + MRID_FIELD_NUMBER;
    hash = (53 * hash) + getMRID().hashCode();
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.commonmodule.ConductingEquipment parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.ConductingEquipment parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.ConductingEquipment parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.ConductingEquipment parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.ConductingEquipment parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.ConductingEquipment parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.ConductingEquipment parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.ConductingEquipment parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.commonmodule.ConductingEquipment parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.ConductingEquipment parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.commonmodule.ConductingEquipment parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.ConductingEquipment parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.commonmodule.ConductingEquipment prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Asset representation of a ConductingEquipment.
   * </pre>
   *
   * Protobuf type {@code commonmodule.ConductingEquipment}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:commonmodule.ConductingEquipment)
      openfmb.commonmodule.ConductingEquipmentOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_ConductingEquipment_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_ConductingEquipment_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.commonmodule.ConductingEquipment.class, openfmb.commonmodule.ConductingEquipment.Builder.class);
    }

    // Construct using openfmb.commonmodule.ConductingEquipment.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      namedObject_ = null;
      if (namedObjectBuilder_ != null) {
        namedObjectBuilder_.dispose();
        namedObjectBuilder_ = null;
      }
      mRID_ = "";
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_ConductingEquipment_descriptor;
    }

    @java.lang.Override
    public openfmb.commonmodule.ConductingEquipment getDefaultInstanceForType() {
      return openfmb.commonmodule.ConductingEquipment.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.commonmodule.ConductingEquipment build() {
      openfmb.commonmodule.ConductingEquipment result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.commonmodule.ConductingEquipment buildPartial() {
      openfmb.commonmodule.ConductingEquipment result = new openfmb.commonmodule.ConductingEquipment(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.commonmodule.ConductingEquipment result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.namedObject_ = namedObjectBuilder_ == null
            ? namedObject_
            : namedObjectBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.mRID_ = mRID_;
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.commonmodule.ConductingEquipment) {
        return mergeFrom((openfmb.commonmodule.ConductingEquipment)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.commonmodule.ConductingEquipment other) {
      if (other == openfmb.commonmodule.ConductingEquipment.getDefaultInstance()) return this;
      if (other.hasNamedObject()) {
        mergeNamedObject(other.getNamedObject());
      }
      if (!other.getMRID().isEmpty()) {
        mRID_ = other.mRID_;
        bitField0_ |= 0x00000002;
        onChanged();
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getNamedObjectFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              mRID_ = input.readStringRequireUtf8();
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.NamedObject namedObject_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.NamedObject, openfmb.commonmodule.NamedObject.Builder, openfmb.commonmodule.NamedObjectOrBuilder> namedObjectBuilder_;
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.NamedObject namedObject = 1 [(.uml.option_parent_message) = true];</code>
     * @return Whether the namedObject field is set.
     */
    public boolean hasNamedObject() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.NamedObject namedObject = 1 [(.uml.option_parent_message) = true];</code>
     * @return The namedObject.
     */
    public openfmb.commonmodule.NamedObject getNamedObject() {
      if (namedObjectBuilder_ == null) {
        return namedObject_ == null ? openfmb.commonmodule.NamedObject.getDefaultInstance() : namedObject_;
      } else {
        return namedObjectBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.NamedObject namedObject = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setNamedObject(openfmb.commonmodule.NamedObject value) {
      if (namedObjectBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        namedObject_ = value;
      } else {
        namedObjectBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.NamedObject namedObject = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setNamedObject(
        openfmb.commonmodule.NamedObject.Builder builderForValue) {
      if (namedObjectBuilder_ == null) {
        namedObject_ = builderForValue.build();
      } else {
        namedObjectBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.NamedObject namedObject = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder mergeNamedObject(openfmb.commonmodule.NamedObject value) {
      if (namedObjectBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          namedObject_ != null &&
          namedObject_ != openfmb.commonmodule.NamedObject.getDefaultInstance()) {
          getNamedObjectBuilder().mergeFrom(value);
        } else {
          namedObject_ = value;
        }
      } else {
        namedObjectBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.NamedObject namedObject = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder clearNamedObject() {
      bitField0_ = (bitField0_ & ~0x00000001);
      namedObject_ = null;
      if (namedObjectBuilder_ != null) {
        namedObjectBuilder_.dispose();
        namedObjectBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.NamedObject namedObject = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.NamedObject.Builder getNamedObjectBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getNamedObjectFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.NamedObject namedObject = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.NamedObjectOrBuilder getNamedObjectOrBuilder() {
      if (namedObjectBuilder_ != null) {
        return namedObjectBuilder_.getMessageOrBuilder();
      } else {
        return namedObject_ == null ?
            openfmb.commonmodule.NamedObject.getDefaultInstance() : namedObject_;
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.NamedObject namedObject = 1 [(.uml.option_parent_message) = true];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.NamedObject, openfmb.commonmodule.NamedObject.Builder, openfmb.commonmodule.NamedObjectOrBuilder> 
        getNamedObjectFieldBuilder() {
      if (namedObjectBuilder_ == null) {
        namedObjectBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.NamedObject, openfmb.commonmodule.NamedObject.Builder, openfmb.commonmodule.NamedObjectOrBuilder>(
                getNamedObject(),
                getParentForChildren(),
                isClean());
        namedObject_ = null;
      }
      return namedObjectBuilder_;
    }

    private java.lang.Object mRID_ = "";
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>string mRID = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1, (.uml.option_uuid) = true, (.uml.option_key) = true];</code>
     * @return The mRID.
     */
    public java.lang.String getMRID() {
      java.lang.Object ref = mRID_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        mRID_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>string mRID = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1, (.uml.option_uuid) = true, (.uml.option_key) = true];</code>
     * @return The bytes for mRID.
     */
    public com.google.protobuf.ByteString
        getMRIDBytes() {
      java.lang.Object ref = mRID_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        mRID_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>string mRID = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1, (.uml.option_uuid) = true, (.uml.option_key) = true];</code>
     * @param value The mRID to set.
     * @return This builder for chaining.
     */
    public Builder setMRID(
        java.lang.String value) {
      if (value == null) { throw new NullPointerException(); }
      mRID_ = value;
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>string mRID = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1, (.uml.option_uuid) = true, (.uml.option_key) = true];</code>
     * @return This builder for chaining.
     */
    public Builder clearMRID() {
      mRID_ = getDefaultInstance().getMRID();
      bitField0_ = (bitField0_ & ~0x00000002);
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>string mRID = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1, (.uml.option_uuid) = true, (.uml.option_key) = true];</code>
     * @param value The bytes for mRID to set.
     * @return This builder for chaining.
     */
    public Builder setMRIDBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) { throw new NullPointerException(); }
      checkByteStringIsUtf8(value);
      mRID_ = value;
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:commonmodule.ConductingEquipment)
  }

  // @@protoc_insertion_point(class_scope:commonmodule.ConductingEquipment)
  private static final openfmb.commonmodule.ConductingEquipment DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.commonmodule.ConductingEquipment();
  }

  public static openfmb.commonmodule.ConductingEquipment getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<ConductingEquipment>
      PARSER = new com.google.protobuf.AbstractParser<ConductingEquipment>() {
    @java.lang.Override
    public ConductingEquipment parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<ConductingEquipment> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<ConductingEquipment> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.commonmodule.ConductingEquipment getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

